


<h1><a name="php" id="php">PHP</a></h1>
<div class="level1">

<p>

<a href="http://php.net/" class="urlextern" title="http://php.net/"  rel="nofollow">PHP</a>: <a href="http://en.wikipedia.org/wiki/PHP" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/PHP">PHP</a>
</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "PHP" [1-56] -->
<h2><a name="how_to_get_the_current_page_url" id="how_to_get_the_current_page_url">How to get the current page URL</a></h2>
<div class="level2">
<pre class="code php"><span class="kw2">&lt;?php</span>
  <span class="kw1">echo</span> <span class="re0">$_SERVER</span><span class="br0">&#91;</span><span class="st0">&quot;REQUEST_URI&quot;</span><span class="br0">&#93;</span><span class="sy0">;</span> <span class="coMULTI">/* /~kssilveira/site/doku.php?id=php */</span>
  <span class="kw1">echo</span> <span class="re0">$_SERVER</span><span class="br0">&#91;</span><span class="st0">&quot;SCRIPT_NAME&quot;</span><span class="br0">&#93;</span><span class="sy0">;</span> <span class="coMULTI">/* /~kssilveira/site/doku.php */</span>
  <span class="kw1">echo</span> <a href="http://www.php.net/substr"><span class="kw3">substr</span></a><span class="br0">&#40;</span><span class="re0">$_SERVER</span><span class="br0">&#91;</span><span class="st0">&quot;SCRIPT_NAME&quot;</span><span class="br0">&#93;</span><span class="sy0">,</span><a href="http://www.php.net/strrpos"><span class="kw3">strrpos</span></a><span class="br0">&#40;</span><span class="re0">$_SERVER</span><span class="br0">&#91;</span><span class="st0">&quot;SCRIPT_NAME&quot;</span><span class="br0">&#93;</span><span class="sy0">,</span><span class="st0">&quot;/&quot;</span><span class="br0">&#41;</span><span class="sy0">+</span><span class="nu0">1</span><span class="br0">&#41;</span> <span class="coMULTI">/* doku.php */</span>
<span class="sy1">?&gt;</span></pre>
<div class="tags"><span>
	<a href="/~kssilveira/site/doku.php?id=tag:programming&amp;do=showtag&amp;tag=tag%3Aprogramming" class="wikilink1" title="tag:programming" rel="tag">programming</a>
</span></div>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to get the current page URL" [57-] -->